-- 玩法比武排名奖励
Lua_BiWuRankRewardsWindow = class("Lua_BiWuRankRewardsWindow", Lua_ThirdSizeWindow)
function Lua_BiWuRankRewardsWindow:ctor()
	self:superCall("ctor", true, 3500, true, LanUtil.getValue(120932));
	self.w = 609;
	self.h = 534;
	self.titleTxtOffsetY = -28;
	self.windowName = "Lua_BiWuRankRewardsWindow";
	self.isClickClose = false;
end

function Lua_BiWuRankRewardsWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.rewardsList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 600, 410));
    self.rewardsList:setLocation(0, 1, 0);
    self.rewardsList:setListCell(Lua_BiwuRankRewardItem, 103, 600, 1);
    self.rewardsList:setLuaArrayData(DataCenter.gamePlayData:getBiWuRankRewards(), false);

    local txt = UICreate.createLabel(self.content, LanUtil.getValue(120933), 0, -230, 600, 30, 22);
	txt:setDepth(self.depth + 10);
	txt.pivot =  UIWidget.Pivot.Center;
	self.titleBg:SetDimensions(self.w - 6, 56);
end

function Lua_BiWuRankRewardsWindow:dispose()
    if self.rewardsList ~= nil then
    	self.rewardsList:dispose()
    	self.rewardsList = nil;
    end
    self:superCall("dispose");
end







Lua_BiwuRankRewardItem = class("Lua_BiwuRankRewardItem", Lua_ListCell);
function Lua_BiwuRankRewardItem:ctor(p)
    self:superCall("ctor", p, nil);
end

function Lua_BiwuRankRewardItem:buildShowItem()
    self:superCall("buildShowItem");
    local bg = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_widget_p1", 0, 0, 582, 106);
	bg:setDepth(1);

	self.txt = UICreate.createLabel(self.content, "", -280, 2, 220, 30, 24);
	self.txt:setDepth(2);
	self.txt.pivot =  UIWidget.Pivot.Left;

	self.rItem = Lua_RewardItem.new(self.content);
	self.rItem:buildShowItem();
    -- self.rItem:setLayout(70, 70, 4);
	self.rItem:setMaxShow(4);
	self.rItem:setDepth(self.depth + 10);
	self.rItem:setClickWin(true);
	self.rItem:setMouseEnble(true);
	-- self.rItem:setItemScale(0.8,0.8);
	self.rItem:setLocation(0, 4.5, 0);

	-- self.rItem = Lua_ToolImage.new(self.content);
	-- self.rItem:setDepth(2);
	-- self.rItem:setLocation(-100, 0, 0);
end

function Lua_BiwuRankRewardItem:setData(data)
    self.data = data;
    if self.data ~= nil then
    	local str = "";
    	if self.data.rank_limit ~= nil and self.data.rank_limit[1] ~= nil then
    		if self.data.rank_limit[2] ~= nil and self.data.rank_limit[2] ~= self.data.rank_limit[1] then
    			str = self.data.rank_limit[1].."-"..self.data.rank_limit[2];
    		else
    			str = tostring(self.data.rank_limit[1]);
    		end
    	end
        self.txt.text = LanUtil.formateStr(LanUtil.getValue(120934), str);
        self.rItem:setRewardByRewardList(Array(self.data.reward));
        -- self.rItem.data = Lua_ToolVo.new(self.data.reward);
    end
end

function Lua_BiwuRankRewardItem:dispose()
    self:superCall("dispose");

end