-- 军魂副本
checkRequire("Lua_CopyTeamWindow");
checkRequire("Lua_JueXingItem");
Lua_CopyJunHunWindow = class("Lua_CopyJunHunWindow", Lua_CopyTeamWindow);
function Lua_CopyJunHunWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_CopyJunHunWindow";
	self.skinName = "CopyJueXingWindow_skin";
end

function Lua_CopyJunHunWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.rewardItem:setLocation(-505, -266, 0);

	self.dragList = Lua_DragList.new(self.content, 2, Vector4(0, 0, 1058, 442));
	self.dragList:setLocation(0, 14, 0);
	self.dragList:setListCell(Lua_JueXingItem, 442, 282, 9999);

	self.infoSp:addClickFuntion(self, self.onInfoClick);

	self:addLuaEvent("JUSXING_COPY_SELECT", self, self.onDragListSelected);
end

function Lua_CopyJunHunWindow:showWin(param)
	self.data = param;
	local index_id;
	if type(self.data) == "number" then
		self.data = DataCenter.copyData:getCopyById(self.data);
		index_id = self.data.id;
		Lua_CopyUtil.sendGetCopyInfoMsg(self.data.id);
	else
		index_id = self.data.id;
		Lua_CopyUtil.sendGetCopyInfoMsg(self.data.id);
	end

	local isOpenDouble=DataCenter.OpenDressCarnivalData:isOpenCopyDouble(tonumber(index_id))
	if DataCenter.OpenDressCarnivalData:isOpenCopyDoubleExp(tonumber(index_id)) == true or isOpenDouble then
		self.doubleExpObj:SetActive(true);
	else
		self.doubleExpObj:SetActive(false);
	end
end

function Lua_CopyJunHunWindow:onDragListSelected(val)
	for i = 1, self.copyList:getSize() do
		self.copyList[i].selected = val.index == self.copyList[i].index;
	end
	self.dragList:setLuaArrayData(self.copyList, false);
	
	self.curData = val;
	local arr = Array();
	for i, v in ipairs(self.curData.reward) do
		arr:add(v);
	end
	self.rewardItem:setRewardByRewardList(arr);
end

function Lua_CopyJunHunWindow:onSaoClick(go)
	if self.curData.dif > 1 and self.data:isDegressPass(self.curData.dif - 1) == false then
		OperateAlert.show(LanUtil.getValue(121115));
		return;
	end
	self:superCall("onSaoClick", go);
end

function Lua_CopyJunHunWindow:onInfoClick(obj)
	Lua_WindowUtil.openWin("Lua_RuleTipWindow", nil, LanUtil.getValue(129301));
end

function Lua_CopyJunHunWindow:dispose()
	if self.dragList ~= nil then
		self.dragList:dispose();
		self.dragList = nil;
	end

	self:superCall("dispose");
end