Lua_CopySaoDangTipWindow = class("Lua_CopySaoDangTipWindow", Lua_Window);
function Lua_CopySaoDangTipWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_CopySaoDangTipWindow";
	self.skinName = "CopySaoDangTipWindow_skin";
	self.curNum = 1;
end

function Lua_CopySaoDangTipWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.infoTxt.text = LanUtil.getValue(121192);

	self.toolImg = Lua_ToolImage.new(self.content);
	self.toolImg:setLocation(0, 0, 0);
	self.toolImg:setDepth(5);

	self.rightBtn:addClickFuntion(self,self.onSubClick);
	self.leftBtn:addClickFuntion(self,self.onBtnCloseClick);
end

function Lua_CopySaoDangTipWindow:showWin(param)
	self.data = param;

	local copyVo = DataCenter.copyData:getCopyById(param.script_type);
	local cvo = copyVo:getSaoDangCost(param.script_degree);
	local tvo = Lua_ToolVo.createToolVo(cvo[1], 1, 0);
	local itemNum = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK):getItemNum(cvo[1]);
	self.toolImg.data = tvo;
	self.toolImg:showNumLimit(itemNum, cvo[2], 2);
end

function Lua_CopySaoDangTipWindow:onSubClick(go)
end