Lua_HuanLingDetailWindow = class("Lua_HuanLingDetailWindow", Lua_Window)
function Lua_HuanLingDetailWindow:ctor()
    self:superCall("ctor");

    self.showBg = false;
    self.showClose = false;
    self.isClickClose = true;
    -- self.blackAlpha = 1 / 255;
    self.windowName = "Lua_HuanLingDetailWindow";
    self.skinName = "HuanLingDetailWindow_skin";
end

function Lua_HuanLingDetailWindow:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_HuanLingDetailWindow:dispose()
    if self.detailPanel ~= nil then
        self.detailPanel:dispose();
        self.detailPanel = nil;
    end
    self:superCall("dispose");
end

function Lua_HuanLingDetailWindow:showWin(param)
	self:superCall("showWin", param);

	local data = self.showData;
    -- self.tipsObj.gameObject.transform.localPosition = Vector3(data.pos[1], data.pos[2] - 185, 0);
    LuaUtil.setObjPos(self.tipsObj.gameObject, data.pos[1], data.pos[2] - 185, 0);
    self.bossName.text = LanUtil.formateStr(LanUtil.getValue(141801), data.data.monster_name);
    local str = "";
    if data.spectral_power < data.data.open_fightng then
        str = "["..Lua_ColorDefine.RED_STR.."]"..data.spectral_power.."[-]".."[B1CAF4]".."/" ..data.data.open_fightng.."[-]";
    else
        str = "["..Lua_ColorDefine.GREEN_STR.."]"..data.spectral_power.."[-]".."[B1CAF4]".."/" ..data.data.open_fightng.."[-]";
    end
    
    self.needPower.text = str;
end