-- BOSS头像、等级、波数
Lua_CopyBossInfoItem = class("Lua_CopyBossInfoItem", Lua_DisplayObject);
function Lua_CopyBossInfoItem:ctor(p)
	self:superCall("ctor", p, "CopyBossInfoItem_skin");
end

function Lua_CopyBossInfoItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_CopyBossInfoItem:updateData(msg)
	if msg.script_type == Lua_CopyData.ZODIAC_COPY then -- 生肖副本
		self.waveText.text = "("..tostring(msg.cur_wave).."/"..tostring(msg.total_wave)..")";
		local copyVo = DataCenter.copyData:getCopyById(msg.script_type);
		local zodiacVo = copyVo:getCopyZodiacVoById(2000000 + 1000 * msg.script_type + msg.script_degree);
		self.bossLevel.text = zodiacVo.boss_level;
		self.headImg:setAltas(zodiacVo.atlasName, zodiacVo.iconName);
	end
end

function Lua_CopyBossInfoItem.Get:height()
	return self.headImg.height + 8;
end