Lua_CopyBuffItem = class("Lua_CopyBuffItem", Lua_ListCell);
function Lua_CopyBuffItem:ctor(p)
	self:superCall("ctor", p, "CopyBuffItem_skin");
end

function Lua_CopyBuffItem:buildShowItem()
	self:superCall("buildShowItem");

	self.getBtn:addClickFuntion(self, self.onGetClick);
end

function Lua_CopyBuffItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	local buff = Lua_BuffVo.new(data.id);
	self.buffIcon:setAltas(buff.atlas, buff.sprite);
	self.getTxt.text = buff.des;

	if data.validate == false then
		self.getBtn.label = LanUtil.getValue(121149);
	else
		self.getBtn.label = LanUtil.getValue(121148);
	end
	self.getBtn:setBtnEnable(data.validate);
end

function Lua_CopyBuffItem:onGetClick(go)
	local cmd = ProtoPublic_pb.Proto10404109();
	cmd.buff_id = self._data.id;
	sendMsg(10404109, cmd);
end

function Lua_CopyBuffItem:dispose()
	self._data = nil;
	self:superCall("dispose");
end