Lua_CopyTargetItem = class("Lua_CopyTargetItem", Lua_DisplayObject);
function Lua_CopyTargetItem:ctor(p)
	self:superCall("ctor",p, "CopyTargetItem_skin");
end

function Lua_CopyTargetItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_CopyTargetItem.Get:height()
	return self.desTxt.height + self.infoTxt.height;
end

function Lua_CopyTargetItem:updateData(msg)
	if msg.script_type == Lua_CopyData.LINGWEN_COPY then
		self.desTxt.text = LanUtil.getValue(121134);
	else
		self.desTxt.text = LanUtil.getValue(121133);
	end

	local copyVo = DataCenter.copyData:getCopyById(msg.script_type);
	if msg.total_monster == 0 then
		local str = copyVo:getKillMonsterTip(msg.script_degree);
		if str ~= nil then
			self.infoTxt.text = str;
		else
			self.infoTxt.text = LanUtil.getValue(160400);
		end
	else
		self.infoTxt.text = LanUtil.formateStr(LanUtil.getValue(121120), tostring(msg.kill_monster), tostring(msg.total_monster));
	end
end