-- 经验副本结算
Lua_CopyQiankunResultItem = class("Lua_CopyQiankunResultItem", Lua_DisplayObject);
function Lua_CopyQiankunResultItem:ctor(p)
	self:superCall("ctor", p, "CopyQiankunResultItem_skin");
end

function Lua_CopyQiankunResultItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_CopyQiankunResultItem:updateData(msg)
	local oldNum = math.floor(msg.exp_history) == nil and 0 or math.floor(msg.exp_history);
	local curNum = math.floor(msg.exp) == nil and 0 or math.floor(msg.exp);
	if oldNum > curNum then
		self.oldNumTxt.text = LanUtil.formateStr(LanUtil.getValue(121156), Lua_CommonUtil.getNumberTrans(oldNum));

		self.huodeTxt.text = LanUtil.formateStr(LanUtil.getValue(121157), Lua_CommonUtil.getNumberTrans(curNum));
		self.addNumTxt.text = "";

		-- self.huodeSpr.transform.localPosition = Vector3(-self.huodeTxt.width / 2, -40, 0);
		LuaUtil.setTfPos(self.huodeSpr.transform, -self.huodeTxt.width / 2, -40, 0);
	else
		self.oldNumTxt.text = LanUtil.formateStr(LanUtil.getValue(121156), Lua_CommonUtil.getNumberTrans(oldNum));

		self.huodeTxt.text = LanUtil.formateStr(LanUtil.getValue(121157), Lua_CommonUtil.getNumberTrans(curNum).."(");
		self.addNumTxt.text = Lua_CommonUtil.getNumberTrans(curNum - oldNum)..")";
		self.arrow:setLocation(self.huodeTxt.width, 1);
		self.addNumTxt:setLocation(self.arrow.mainContent.transform.localPosition.x + self.arrow.width * 2.5, 0);

		-- self.huodeSpr.transform.localPosition = Vector3(-(self.addNumTxt.mainContent.transform.localPosition.x + self.addNumTxt.width) / 2, -40, 0);
		LuaUtil.setTfPos(self.huodeSpr.transform, -(self.addNumTxt.mainContent.transform.localPosition.x + self.addNumTxt.width) / 2, -40, 0);
	end
	self.signSpr:SetActive(oldNum <= curNum);
	self.arrow:setEnable(oldNum <= curNum);
end

function Lua_CopyQiankunResultItem:setDepth(val)
	self:superCall("setDepth", val);

	self.arrow:setDepth(val);
	self.oldNumTxt:setDepth(val);
	self.huodeTxt:setDepth(val);
	self.addNumTxt:setDepth(val);
	self.signBg:setDepth(val);
	self.signTxt:setDepth(val + 1);
end