Lua_KeyWindow = class("Lua_KeyWindow", Lua_Window);
function Lua_KeyWindow:ctor()
    self:superCall("ctor");
    self.windowName = "Lua_KeyWindow";
    self.skinName = "KeyWindow_skin";
    self.isClickClose = true;
end
function Lua_KeyWindow:buildShowItem()
    self:superCall("buildShowItem");

    self.titleLab:setEnable(false);

    self.subBtn:addClickFuntion(self, self.onSubClick);
    self.cancelBtn:addClickFuntion(self, self.onCancelClick);
    self.tipBox:addBoxChange(self,self.onTipBoxBoxClick);

    local additionalneedgold = 0;
    local restorecount = 0;
    local goldItemNum = 0;
    local coppermoeyItemNum = 0;
    self.moneyNum = 0;

    local len = DataCenter.QiandaoData.ResoureData:getSize();
    local resoureData =  DataCenter.QiandaoData.ResoureData;

    self.tipBox.seleted = true;
    for i=1,len do
    	if resoureData[i].additionalrestorecount ~= 0 then
    		additionalneedgold = additionalneedgold + resoureData[i].additionalrestorecount*resoureData[i].gold;
    		goldItemNum = goldItemNum + #resoureData[i].gold_rewards;
    	end
    	if resoureData[i].restorecount ~= 0 then
    		additionalneedgold = additionalneedgold + resoureData[i].restorecount*resoureData[i].gold;
    		restorecount = restorecount + resoureData[i].restorecount*resoureData[i].coppermoey;
    		coppermoeyItemNum = coppermoeyItemNum + #resoureData[i].copper_rewards;
    	end
    end
    self.moneytype = DataCenter.QiandaoData.ResoureData[1].moneytype
    if self.moneytype == 2 then
    	self.moneyNum = additionalneedgold;
    	self.moneyBg:setAltas("icon_atlas_3", "money_209000002")
    	self.itemNum = goldItemNum;
        self.tipBox:setEnable(true);
        self.moneyId = 209000002;
    else
    	self.moneyNum = restorecount;
    	self.moneyBg:setAltas("icon_atlas_3", "money_209000001")
    	self.itemNum = coppermoeyItemNum;
        self.tipBox:setEnable(false);
        self.moneyId = 209000001;
    end

    local str = "[FF1616]" .. self.moneyNum;
    if DataCenter.moneyData:isMoneyEnough(self.moneyId, self.moneyNum) then
        str = "[00E125]" .. self.moneyNum;
    end
    self.tipsTxt.text = LanUtil.formateStr(LanUtil.getValue(120957), str);
    self.tipBox.label = LanUtil.getValue(120958)
end
function Lua_KeyWindow:onTipBoxBoxClick(state)
	if self.moneytype ~= 2 then
		self.tipBox.seleted = state;
		return;
	end
	local additionalneedgold = 0;
    local restorecount = 0;
	self.moneyNum = 0;
    local goldItemNum = 0;
    local coppermoeyItemNum = 0;

	local len = DataCenter.QiandaoData.ResoureData:getSize();
    local resoureData =  DataCenter.QiandaoData.ResoureData;
    for i=1,len do
    	if resoureData[i].additionalrestorecount ~= 0 then
    		additionalneedgold = additionalneedgold + resoureData[i].additionalrestorecount*resoureData[i].gold;
    	end
    	if resoureData[i].restorecount ~= 0 then
    		restorecount = restorecount + resoureData[i].restorecount*resoureData[i].gold;
    	end
    end
    if state == true then
    	self.moneyNum = additionalneedgold + restorecount;
    else
    	self.moneyNum = restorecount;
    end

    local str = "[FF1616]" .. self.moneyNum;
    if DataCenter.moneyData:isMoneyEnough(self.moneyId, self.moneyNum) then
        str = "[00E125]" .. self.moneyNum;
    end
    self.tipsTxt.text = LanUtil.formateStr(LanUtil.getValue(120957), str);
end
function Lua_KeyWindow:onSubClick()
	local bagData = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK);
	local leftNum = bagData:getLeftSize()
	if leftNum <= self.itemNum then
		DataCenter.packData:showFullBagTip(Lua_PackData.BAG_PACK)
		return;
	end

    if  tonumber(self.moneytype) == 2  then
        local BIND_GOLD = tonumber(DataCenter.moneyData:getMoney(Lua_MoneyData.BIND_GOLD)) 
        local GOLD = tonumber(DataCenter.moneyData:getMoney(Lua_MoneyData.GOLD))
        if BIND_GOLD < tonumber(self.moneyNum) and 
            GOLD + BIND_GOLD >= tonumber(self.moneyNum)   then
            local tipData = { };
            tipData.des = LanUtil.getValue(122577);
            tipData.owner = self;
            tipData.subFun = self.onSubCallback;
            tipData.type = 1;
            Lua_WindowUtil.openWin("Lua_TipsWindow", WinParam.ACTION_OPEN, tipData);
        else
            if DataCenter.moneyData:isMoneyEnough(209000002,tonumber(self.moneyNum),true,true) == false then  
                return;
            end
            if self.moneyNum == 0 then
                OperateAlert.show(LanUtil.getValue(120877));
            else
            	local cmd = getProtoMsg("Proto11401413");
    			cmd.has_ex = self.tipBox.seleted;
    			cmd.restore_manner = 2;	
    			sendMsg(11401413,cmd)
                if tonumber(DataCenter.QiandaoData.ordinary_exp) > 0 then
                    DataCenter.QiandaoData:getoffline(2)
                end
            end
      	end 		    
    else      
    	if DataCenter.moneyData:isMoneyEnough(209000001,tonumber(self.moneyNum),true,true) == false then  
	    	return;
		end
        if self.moneyNum == 0 then
                OperateAlert.show(LanUtil.getValue(120877));
        else
            local cmd = getProtoMsg("Proto11401413");
            cmd.has_ex = false;
            cmd.restore_manner = 1;	
            sendMsg(11401413,cmd)
            if tonumber(DataCenter.QiandaoData.ordinary_exp) > 0 then
                    DataCenter.QiandaoData:getoffline(1)
            end
        end
    end
    self:hide()
end
function Lua_KeyWindow:onCancelClick()
	self:hide()
end
function Lua_KeyWindow:onSubCallback()
    local cmd = getProtoMsg("Proto11401413");
    cmd.has_ex = self.tipBox.seleted;
    cmd.restore_manner = 2; 
    sendMsg(11401413,cmd)
    if tonumber(DataCenter.QiandaoData.ordinary_exp) > 0 then
        DataCenter.QiandaoData:getoffline(2)
    end
end