-- 比武战斗UI
checkRequire("Lua_CountDownAnimation");
Lua_BiwuFightingWindow = class("Lua_BiwuFightingWindow", Lua_FullSizeWindow);
function Lua_BiwuFightingWindow:ctor()
    self:superCall("ctor", false, false, 500, false, false, false);
    self.windowName = "Lua_BiwuFightingWindow";
    self.skinName = "BiWuFightingInfoWindow_skin";
    self.bStart = false;
    self.bEnd = false;
end

function Lua_BiwuFightingWindow:buildShowItem()
    self:superCall("buildShowItem");
    DataCenter.hook:stop(true);
    Lua_MsgUtil.callFunc("SETSKILLMENUSTATE", 3);

	self.backBtn:setLocation(MainWinDefine.V_width / 2 - 82, MainWinDefine.V_height / 2 - 215);
	self.backBtn:addClickFuntion(self, self.onExitBtnClick);
	--self.backBtn:setEnable(false);

	self.skipBtn:setLocation(MainWinDefine.V_width / 2 - 82, MainWinDefine.V_height / 2 - 285);
	self.skipBtn:addClickFuntion(self, self.onSkipBtnClick);

	-- self.ownSpr.transform.localPosition = Vector3(-MainWinDefine.V_width / 2 + 80, MainWinDefine.V_height / 2 - 70, 0);
	-- self.targetSpr.transform.localPosition = Vector3(MainWinDefine.V_width / 2 - 245, MainWinDefine.V_height / 2 - 70, 0);
	-- self.timeSpr.transform.localPosition = Vector3(0, MainWinDefine.V_height / 2 - 30, 0);
	LuaUtil.setTfPos(self.ownSpr.transform, -MainWinDefine.V_width / 2 + 80, MainWinDefine.V_height / 2 - 70, 0);
	LuaUtil.setTfPos(self.targetSpr.transform, MainWinDefine.V_width / 2 - 245, MainWinDefine.V_height / 2 - 70, 0);
	LuaUtil.setTfPos(self.timeSpr.transform, 0, MainWinDefine.V_height / 2 - 30, 0);
	self.endTimeTxt.text = "";
	self.ownLvTxt.text = "";
	self.targetLvTxt.text = "";
	self.timeSpr:SetActive(false);

	-- 遮罩，倒计时完去除
	self.blackBg = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_black_50", 0, 0, 1280, 720);
	self.blackBg.name = "blackBg";
	self.blackBg.alpha = 0.5;
	self.blackBg:setDepth(10);
	self.blackBg:addClickFuntion(self, self.onBlackBgClick);
	self.blackBg:setEnable(true);

    self.ownHpBar = Lua_ProccessBar.new(self.ownSpr);
	self.ownHpBar:setTxtCenter();
 	self.ownHpBar:setLocation(8, 14, 0);
 	self.ownHpBar.infoTxt.effectStyle = 3;
	self.ownHpBar.infoTxt.effectColorStr = "4283961873";
	self.ownHpBar.infoTxt:setEffectDistance(1, 1);
	self.ownHpBar:setBarSprite("mainWindow_atlas", "ui_zhujiemian_progress_07", 234, 23);
    self.ownHpBar:setTxtOffet(141, 0);
    self.ownHpBar:setDepth(5);

	self.ownMpBar = Lua_ProccessBar.new(self.ownSpr);
	self.ownMpBar:setTxtCenter();
 	self.ownMpBar:setLocation(8, -11, 0);
 	self.ownMpBar.infoTxt.effectStyle = 3;
	self.ownMpBar.infoTxt.effectColorStr = "4279707467";
	self.ownMpBar.infoTxt:setEffectDistance(1, 1);
	self.ownMpBar.infoTxt:setLocation(18,0)
	self.ownMpBar:setBarSprite("mainWindow_atlas", "ui_zhujiemian_progress_06", 234, 23);
	self.ownMpBar:setTxtOffet(141, 0);
	self.ownMpBar:setDepth(5);

	--我方战力

	self.ownFightNum = Lua_NumberImage.new(self.ownSpr);
	self.ownFightNum.prefix = "a_";
	self.ownFightNum.numAtlas = "number_atlas";
	self.ownFightNum.numWidth = 16;
	self.ownFightNum.num = 0;
	self.ownFightNum:setDepth(5);
	self.ownFightNum:setLocation(105, 40, 0);


    self.targetHpBar = Lua_ProccessBar.new(self.targetSpr);
	self.targetHpBar:setTxtCenter();
 	self.targetHpBar:setLocation(163, 14, 0);
 	self.targetHpBar.barSp:setSacle(-1, 1);
 	self.targetHpBar.infoTxt.effectStyle = 3;
	self.targetHpBar.infoTxt.effectColorStr = "4283961873";
	self.targetHpBar.infoTxt:setEffectDistance(1, 1);
	self.targetHpBar:setBarSprite("mainWindow_atlas", "ui_zhujiemian_progress_07", 234, 23);
	self.targetHpBar:setTxtOffet(-123, 0);
	self.targetHpBar:setDepth(5);

	self.targetMpBar = Lua_ProccessBar.new(self.targetSpr);
	self.targetMpBar:setTxtCenter();
 	self.targetMpBar:setLocation(163, -11, 0);
 	self.targetMpBar.barSp:setSacle(-1, 1);
 	self.targetMpBar.infoTxt.effectStyle = 3;
	self.targetMpBar.infoTxt.effectColorStr = "4279707467";
	self.targetMpBar.infoTxt:setEffectDistance(1, 1);
	self.targetMpBar:setBarSprite("mainWindow_atlas", "ui_zhujiemian_progress_06", 234, 23);
	self.targetMpBar:setTxtOffet(-123, 0);
	self.targetMpBar:setDepth(5);

    --self.targetForceNum = Lua_NumberImage.new(self.targetSpr);
    --self.targetForceNum.prefix = "zhanli_";
    --self.targetForceNum:setDepth(3);
    --self.targetForceNum:setLocation(-178, 25, 0);
    --self.targetForceNum.num = 0;

	--敌方战力
	self.targetFightNum = Lua_NumberImage.new(self.targetSpr);
	self.targetFightNum.prefix = "a_";
	self.targetFightNum.numAtlas = "number_atlas";
	self.targetFightNum.numWidth = 16;
	self.targetFightNum.num = 0;
	self.targetFightNum:setDepth(5);
	self.targetFightNum:setLocation(-1, 40, 0);

    local vec = self.targetHeadBg.mainContent.transform.localPosition;
    self.targetHeadIcon:setLocation(vec.x, vec.y, 0);
    self.targetHeadIcon:SetDimensions(100, 100);

    vec = self.ownHeadBg.mainContent.transform.localPosition;
    self.ownHeadIcon:setLocation(vec.x, vec.y, 0);
    self.ownHeadIcon:SetDimensions(100, 100);

	self:addLuaEvent("rArenaFightingInfo", self, self.onUpdateFightInfo);
	self:addLuaEvent("rArenaFightingTimeInfo", self, self.onUpdateFightTimeInfo);
	self:onUpdateFightTimeInfo();
	self:onUpdateFightInfo();
end

function Lua_BiwuFightingWindow:onBlackBgClick(go)
	-- 无效点击
end

function Lua_BiwuFightingWindow:onExitBtnClick()
	local str = LanUtil.getValue(120943);
	if str ~= nil and str ~= "" then
		local tipData = {};
		tipData.des = LanUtil.getValue(120943);  
		tipData.owner = self;
		tipData.type = 1;
		tipData.subFun = self.onOutClick;   --确定
		Lua_WindowUtil.openWin("Lua_TipsWindow", nil, tipData);
	else
		self:onOutClick(nil);
	end
end

function Lua_BiwuFightingWindow:onOutClick(val)
	Lua_ProxyManager.getProxy("Lua_GamePlayProxy"):sExitCurScene();
end

function Lua_BiwuFightingWindow:onSkipBtnClick(go)
	local str = LanUtil.getValue(120944);
	if str ~= nil and str ~= "" then
		local tipData = {};
		tipData.des = LanUtil.getValue(120944);  
		tipData.owner = self;
		tipData.type = 1;
		tipData.subFun = self.onSkipClick;   --确定
		Lua_WindowUtil.openWin("Lua_TipsWindow", nil, tipData);
	else
		self:onSkipClick(nil);
	end
end

function Lua_BiwuFightingWindow:onSkipClick(val)
	Lua_ProxyManager.getProxy("Lua_GamePlayProxy"):sSkipChallenge();
end

function Lua_BiwuFightingWindow:onUpdateFightTimeInfo()
	if DataCenter.gamePlayData.fight_getTime == nil or DataCenter.gamePlayData.fight_getTime <= 0 then
		return;
	end

	local num = DataCenter.gamePlayData.fight_startLeftTime - (getTime() - DataCenter.gamePlayData.fight_getTime); -- 战斗前倒计时
	if num > 0 then
		if GlobalVar.hooking == true then
	        DataCenter.hook:stop(true);
	    end
	    self.endTimeTxt.text = "";
	    self.timeSpr:SetActive(false);
	    DataCenter.gamePlayData.fight_leftTime = DataCenter.gamePlayData.fight_leftTime - num;   -- 剩余时间
		if self.countDownAni == nil then
			self.blackBg:setEnable(true);
			self.countDownAni = Lua_CountDownAnimation.new(self.content, self, self.addFightEndTimer);
			self.countDownAni:setDepth(10);
		end
		self.countDownAni:playCountDown(num, 1);
	else
	    self:addFightEndTimer();
	end
end

function Lua_BiwuFightingWindow:onUpdateFightInfo()
	-- local num = DataCenter.gamePlayData.fight_startLeftTime; -- 战斗前倒计时
	-- if num > 0 then
	-- 	if GlobalVar.hooking == true then
	--         DataCenter.hook:stop(true);
	--     end
	--     self.endTimeTxt.text = "";
	--     self.timeSpr:SetActive(false);
	--     DataCenter.gamePlayData.fight_leftTime = DataCenter.gamePlayData.fight_leftTime - num;   -- 剩余时间
	-- 	if self.countDownAni == nil then
	-- 		self.countDownAni = Lua_CountDownAnimation.new(self.content, self, self.addFightEndTimer);
	-- 		self.countDownAni:setDepth(10);
	-- 	end
	-- 	self.countDownAni:playCountDown(num, 1);
	-- else
	--     self:addFightEndTimer();
	-- end

	-- 显示血量
	self:updateFightPlayerInfo();
end

-- 更新玩家信息
function Lua_BiwuFightingWindow:updateFightPlayerInfo()
	local num = 0;
	local maxNum = 0;
	local career;
	local profession;
	if DataCenter.gamePlayData.fight_selfFightInfo ~= nil then
		num = DataCenter.gamePlayData.fight_selfFightInfo.blood;
		maxNum = DataCenter.gamePlayData.fight_selfFightInfo.blood_max;
	    self.ownHpBar:setInfoTxt(num, maxNum);

	    num = DataCenter.gamePlayData.fight_selfFightInfo.magic;
		maxNum = DataCenter.gamePlayData.fight_selfFightInfo.magic_max;
		self.ownMpBar:setInfoTxt(num, maxNum);
   	end

	if DataCenter.gamePlayData.fight_selfInfo ~= nil then
		self.ownNameTxt.text = DataCenter.gamePlayData.fight_selfInfo.role_name;
		self.ownLvTxt.text = DataCenter.gamePlayData.fight_selfInfo.role_level;
		num = tonumber(DataCenter.gamePlayData.fight_selfInfo.role_force);
		self.ownFightNum.num = num == nil and 0 or num;
		self.ownFightNum:setNumScale(0.7,0.7)

		if isHeadReplaceOpen() == true then
			self:updateOwnHead();
		else
			career = DataCenter.gamePlayData.fight_selfInfo.role_career;
			if career > 0 then
				profession = DataCenter.gamePlayData.fight_selfInfo.profession;
				self.ownHeadIcon:setUrl(Lua_ThingDefine.getHeadIconUrlByCareer(career, profession));
			end
		end
	end

	if DataCenter.gamePlayData.fight_targetFightInfo ~= nil then
		num = DataCenter.gamePlayData.fight_targetFightInfo.blood;
		maxNum = DataCenter.gamePlayData.fight_targetFightInfo.blood_max;
	    self.targetHpBar:setInfoTxt(num, maxNum);

	    num = DataCenter.gamePlayData.fight_targetFightInfo.magic;
		maxNum = DataCenter.gamePlayData.fight_targetFightInfo.magic_max;
	    self.targetMpBar:setInfoTxt(num, maxNum);
   	end

	if DataCenter.gamePlayData.fight_targetInfo ~= nil then
		self.targetNameTxt.text = DataCenter.gamePlayData.fight_targetInfo.role_name;
		self.targetLvTxt.text = DataCenter.gamePlayData.fight_targetInfo.role_level;
		num = tonumber(DataCenter.gamePlayData.fight_targetInfo.role_force);
		self.targetFightNum.num = num == nil and 0 or num;
		self.targetFightNum:setNumScale(0.7,0.7)
		if isHeadReplaceOpen() == true then
			self:updateTargetHead();
		else
			career = DataCenter.gamePlayData.fight_targetInfo.role_career;
			if career > 0 then
				profession = DataCenter.gamePlayData.fight_targetInfo.profession;
				self.targetHeadIcon:setUrl(Lua_ThingDefine.getHeadIconUrlByCareer(career, profession));
			end
		end
	end
end

function Lua_BiwuFightingWindow:updateOwnHead()
    local role_head = DataCenter.gamePlayData.fight_selfInfo.role_head_name;
    if role_head ~= nil and role_head ~= "" then
        local isDefault = DataCenter.roleData:isDefaultHead(DataCenter.gamePlayData.fight_selfInfo.role_career, role_head);
        if isDefault == true then
            self.ownHeadIcon:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 0));
        else
            self.ownHeadIcon:setUrl(role_head, 99, true);
            -- self.ownHeadIcon:setRoundSize(1, 0.5,0.5,0.5);--菱形
            self.ownHeadIcon:setRoundSize(0, 0.5,0.5,0.25);--圆形
            self.ownHeadIcon:SetDimensions(100, 100);
        end
    end
end

function Lua_BiwuFightingWindow:updateTargetHead()
    local role_head = DataCenter.gamePlayData.fight_targetInfo.role_head_name;
    if role_head ~= nil and role_head ~= "" then
        local isDefault = DataCenter.roleData:isDefaultHead(DataCenter.gamePlayData.fight_targetInfo.role_career, role_head);
        if isDefault == true then
            self.targetHeadIcon:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 0));
        else
            self.targetHeadIcon:setUrl(role_head, 99, true);
            -- self.targetHeadIcon:setRoundSize(1, 0.5,0.5,0.5);--菱形
            self.targetHeadIcon:setRoundSize(0, 0.5,0.5,0.25);--圆形
            self.targetHeadIcon:SetDimensions(100, 100);
        end
    elseif role_head == nil or role_head == "" then
    	local career = DataCenter.gamePlayData.fight_targetInfo.role_career;
		if career > 0 then
			profession = DataCenter.gamePlayData.fight_targetInfo.profession;
			self.targetHeadIcon:setUrl(Lua_ThingDefine.getHeadIconUrlByCareer(career, profession));
		end
    end
end

function Lua_BiwuFightingWindow:addFightEndTimer()
	if self.countDownAni ~= nil then
		self.countDownAni:dispose();
		self.countDownAni = nil;
	end

	self.blackBg:setEnable(false);
	if GlobalVar.hooking == false then
        DataCenter.hook:start();
    end

	local endNum = DataCenter.gamePlayData.fight_leftTime;   -- 剩余时间
	if endNum > 0 then
		if self.bEnd == false then
			Lua_CommonUtil.addTimer("updateFightingEndTime", 1, self, self.updateFightingEndTime, nil, -1);
			self.bEnd = true;
		end
	else
		if self.bEnd == true then
		   	Lua_CommonUtil.removeTimer(self, self.updateFightingEndTime);
		   	self.bEnd = false;
		end
	end
    -- self.endTimeTxt.text = LanUtil.formateStr(LanUtil.getValue(120941), TimeTransform.getInstance():transSeconds1(endNum, true));
    self.endTimeTxt.text = TimeTransform.getInstance():transSeconds1(endNum, true);
    self.timeSpr:SetActive(true);
end

-- 战斗结束倒计时
function Lua_BiwuFightingWindow:updateFightingEndTime()
	local endNum = DataCenter.gamePlayData.fight_leftTime;   -- 剩余时间
	endNum = endNum - 1;
	DataCenter.gamePlayData.fight_leftTime = endNum;

	if endNum <= 0 then
    	if self.bEnd == true then
		   	Lua_CommonUtil.removeTimer(self, self.updateFightingEndTime);
		   	self.bEnd = false;
		end
	end
	-- self.endTimeTxt.text = LanUtil.formateStr(LanUtil.getValue(120941), TimeTransform.getInstance():transSeconds1(endNum, true));
	self.endTimeTxt.text = TimeTransform.getInstance():transSeconds1(endNum, true);
end

function Lua_BiwuFightingWindow:dispose()
	if self.countDownAni ~= nil then
		self.countDownAni:dispose();
		self.countDownAni = nil;
	end

	Lua_WindowUtil.openWin("Lua_TipsWindow", WinParam.ACTION_CLOSE, nil);
    if self.bEnd == true then
	   	Lua_CommonUtil.removeTimer(self, self.updateFightingEndTime);
	   	self.bEnd = false;
	end
	
    self:superCall("dispose");
end