checkRequire("Lua_CopyOneItem");
checkRequire("Lua_OutTimeItem");
Lua_CopyPanel = class("Lua_CopyPanel", Lua_DisplayObject);
function Lua_CopyPanel:ctor(p)
	self:superCall("ctor", p, "CopyPanel_skin", true);
end

function Lua_CopyPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.dragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 1068, 472));
	self.dragList:setLocation(-63, 15, 0);
	self.dragList:setListCell(Lua_CopyOneItem, 130, 534, 2);

	self.outTimeItem = Lua_OutTimeItem.new(self.content);
	self.outTimeItem:setLocation(5, -120, 0);

	self:onCopyDataUpdate();

	self:addLuaEvent("COPY_DATA_UPDATE", self, self.onCopyDataUpdate);
	sendMsg(10404105);
end

function Lua_CopyPanel:onCopyDataUpdate()
	self.dragList:setLuaArrayData(DataCenter.copyData:allCopyInfoArr(), false);
	if DataCenter.roleData.curGuide == 10028 or DataCenter.roleData.curGuide == 10032 then
		self.dragList:moveToIndex(9, true);
	end
end