-- 神佑
checkRequire("Lua_CopyShenYouItem")
Lua_CopyShenYouWindow = class("Lua_CopyShenYouWindow", Lua_Window);
function Lua_CopyShenYouWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_CopyShenYouWindow";
	self.skinName = "CopyShenYouWindow_skin";
	self.isClickClose = true;
end

function Lua_CopyShenYouWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.desLabel.text = LanUtil.getValue(121136);

	self.dragList = Lua_DragList.new(self.content,1, Vector4(0, 0, 554, 244));
	self.dragList:setLocation(0, -25, 0);
	self.dragList:setListCell(Lua_CopyShenYouItem, 135, 554, 1);

	self:updatePackData();

	self:addLuaEvent("PACK_UPDATE", self, self.updatePackData);
end

function Lua_CopyShenYouWindow:updatePackData(o)
	local itemId;
	local bagNum;
	local copyVo = DataCenter.copyData:getCopyById(Lua_CopyData.QIANKUN_COPY);
	local itemList = copyVo:getDegreeConfig(1).shenyou_item;
	local itemDes = copyVo:getDegreeConfig(1).shenyou_des;
	local costList = Array();
	for i,v in ipairs(itemList) do
		itemId = v[1];
		bagNum = DataCenter.packData:getBagType(Lua_PackData.BAG_PACK):getItemNum(itemId);
		if bagNum > 0 or v[2] == 1 then
			costList:add({id = itemId, num = bagNum, des = itemDes[i]});
		end
	end
	self.dragList:setLuaArrayData(costList, false);
end

function Lua_CopyShenYouWindow:dispose()
	if self.dragList ~= nil then
		self.dragList:dispose();
		self.dragList = nil;
	end

	self:superCall("dispose");
end