-- 装备副本
checkRequire("Lua_CopyTeamWindow");
checkRequire("Lua_XieLingItem");
Lua_CopyXieLingWindow = class("Lua_CopyXieLingWindow", Lua_CopyTeamWindow);
function Lua_CopyXieLingWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_CopyXieLingWindow";
	self.skinName = "CopyXieLingWindow_skin";
end

function Lua_CopyXieLingWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.infoLabel.text = LanUtil.getValue(121108);

	self.dragList = Lua_DragList.new(self.content, 2, Vector4(0, 0, 1038, 434));
	self.dragList:setLocation(0, 9, 0);
	self.dragList:setListCell(Lua_XieLingItem, 436, 346, 9999);

	self.infoSp:addClickFuntion(self, self.onInfoClick);

	self:addLuaEvent("XIELING_COPY_SELECT", self, self.onDragListSelected);
end

function Lua_CopyXieLingWindow:showWin(param)
	self.data = DataCenter.copyData:getCopyById(Lua_CopyData.XIELING_COPY);
	
	local index_id = self.data.id;
	local isOpenDouble = DataCenter.OpenDressCarnivalData:isOpenCopyDouble(tonumber(index_id))
	if DataCenter.OpenDressCarnivalData:isOpenCopyDoubleExp(tonumber(index_id)) == true or isOpenDouble then
		self.doubleExpObj:SetActive(true);
	else
		self.doubleExpObj:SetActive(false);
	end

	Lua_CopyUtil.sendGetCopyInfoMsg(self.data.id);
end

function Lua_CopyXieLingWindow:onDragListSelected(val)
	for i = 1, self.copyList:getSize() do
		self.copyList[i].selected = val.index == self.copyList[i].index;
	end
	self.dragList:setLuaArrayData(self.copyList, false);

	self.curData = val;
	local arr = Array();
	for i, v in ipairs(self.curData.reward) do
		arr:add(v);
	end
	self.rewardItem:setRewardByRewardList(arr);
end

function Lua_CopyXieLingWindow:onInfoClick(obj)
	Lua_WindowUtil.openWin("Lua_RuleTipWindow", nil, LanUtil.getValue(120956));
end

function Lua_CopyXieLingWindow:dispose()
	if self.dragList ~= nil then
		self.dragList:dispose();
		self.dragList = nil;
	end

	self:superCall("dispose");
end