Lua_CopyQianKunItem = class("Lua_CopyQianKunItem", Lua_DisplayObject);
function Lua_CopyQianKunItem:ctor(p)
	self:superCall("ctor", p, "CopyQianKunItem_skin");
end

function Lua_CopyQianKunItem:buildShowItem()
	self:superCall("buildShowItem");

	-- local effectUrl = "/effects/scsEffects/gui_qiankunanniu";
	-- self.btnEffect1 = UICreate.createUIEffect(self.content, effectUrl, "gui_qiankunanniu", 66, -193);
	-- self.btnEffect1:SetRenderQueue(self.zuduiTxt, 5, 2, false);
	-- self.btnEffect2 = UICreate.createUIEffect(self.content, effectUrl, "gui_qiankunanniu", 186, -193);
	-- self.btnEffect2:SetRenderQueue(self.zuduiTxt, 5, 2, false);
	
	-- self.shenyouBtn:addClickFuntion(self,self.onShenYouClick);
	-- self.guwuBtn:addClickFuntion(self,self.onGuWuClick);

	self:addLuaEvent("ROLE_BUFF_UPDATE",self,self.onBuffUpdate);
	self:addTimer("qiankunCountDown", 0.2, self, self.onCountDown);
end

function Lua_CopyQianKunItem:updateData(msg)
	self.jishaTxt.text = tostring(msg.kill_monster);
	self.guwuTxt.text = msg.percent.."%";

	self:onBuffUpdate();

	-- local addExp = 0;
	-- addExp = getConfig({"team", "exp_addition", msg.team_mate + 1});
	-- self.zuduiTxt.text = addExp.."%";
	self.expTxt.text = Lua_CommonUtil.getNumberTrans( math.floor(tonumber(tostring(msg.total_exp))));

	if msg.extra_tick > 0 then
		self.leftTime = msg.extra_tick;
	else
		self.leftTime = msg.left_tick;
	end
	if msg.timeStartTime ~= nil then
		self.startTime = msg.timeStartTime + msg.ready_tick;
	end
end

function Lua_CopyQianKunItem:onBuffUpdate(o)
	local buffId = Lua_CommonUtil.getCommonConfig("shenyou_buff", 1);
	local buffData = DataCenter.roleData:getBuffById(buffId, true);
	if buffData == nil then
		self.shenshouTxt.text = "0%";
	else
		self.shenshouTxt.text = buffData.value2.."%";
	end
end

function Lua_CopyQianKunItem:onCountDown()
	if self.startTime ~= nil and self.leftTime ~= nil then
		local lt = self.leftTime - (getTime() - self.startTime);
		if lt < 0 then
			lt = 0;
		end
		if lt > self.leftTime then
			lt = self.leftTime;
		end
		local colorStr = Lua_ColorDefine.GREEN_STR;
		if lt <= 10 then
			colorStr = Lua_ColorDefine.RED_STR;
		end
		self.timeTxt.text = "["..colorStr.."]"..TimeTransform.getInstance():transSeconds6(math.floor(lt), true, true).."[-]";
	else
		self.timeTxt.text = "["..Lua_ColorDefine.GREEN_STR.."]00:00:00[-]";
	end
end

function Lua_CopyQianKunItem.Get:height()
	return 201;
end

function Lua_CopyQianKunItem:onShenYouClick(go)
	if self.btnEffect1 ~= nil then
		self.btnEffect1:dispose();
		self.btnEffect1 = nil;
	end
	Lua_WindowUtil.openWin("Lua_CopyShenYouWindow");
end

function Lua_CopyQianKunItem:onGuWuClick(go)
	if self.btnEffect2 ~= nil then
		self.btnEffect2:dispose();
		self.btnEffect2 = nil;
	end
	Lua_WindowUtil.openWin("Lua_CopyGuWuWindow");
end