checkRequire("Lua_CopyUtil");
Lua_CopyTipsItem = class("Lua_CopyTipsItem", Lua_DisplayObject);
function Lua_CopyTipsItem:ctor(p)
	self:superCall("ctor", p, "CopyTipsItem_skin");
end

function Lua_CopyTipsItem:buildShowItem()
	self:superCall("buildShowItem");

	self.desTxt.text = LanUtil.getValue(121135);

	self.infoTxt.clickScale = false;
	self.infoTxt:addUrlClickFuntion(self, self.checkUrlClick);
end

function Lua_CopyTipsItem.Get:height()
	return self.desTxt.height + self.infoTxt.height;
end

function Lua_CopyTipsItem:updateData(msg)
	local copyVo = DataCenter.copyData:getCopyById(msg.script_type);
	if copyVo ~= nil then
		local tips = copyVo.fight_tip;
		if tips == nil then
			tips = copyVo:getDegreeFightTips(msg.script_degree);
		end
		self.infoTxt.text = tips;
	end
end

function Lua_CopyTipsItem:checkUrlClick(url)
	Lua_CopyUtil.urlClickHandle(url);
end