-- 活动tips
Lua_ActiveTipWindow = class("Lua_ActiveTipWindow", Lua_ThirdSizeWindow);
function Lua_ActiveTipWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ActiveTipWindow";
	self.skinName = "ActiveTipWindow_skin";
	self.titleText = "活動提示";
	self.h = 410;
	self.w = 606;
	self.isClickClose = true;
end

function Lua_ActiveTipWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.titleBg:setLocation(0, 181)
	self.titleNameText:setLocation(0,180)
	self.btnClose:setLocation(271,183)
	self.subBtn:addClickFuntion(self, self.onGotoClick);
	self.cancelBtn:addClickFuntion(self, self.hide);
end

function Lua_ActiveTipWindow:showWin(param)
	self.actId = param;

	self.actData = DataCenter.xianshiData:getDataById(self.actId);

	self.iconSp:setAltas(self.actData.atlas, self.actData.icon);

	local tips = self.actData.tips_desc;
	local tipsIndex = string.find(tips, "？")
	self.infoTxt.text = string.sub(tips, 1, tipsIndex + 2);
	self.rewardTxt.text = string.sub(tips, tipsIndex + 3);
end

function Lua_ActiveTipWindow:onGotoClick(go)
	local tActVo = DataCenter.xianshiData:getDataById(self.actId);
	if tActVo.fun_str == "Lua_YunBiaoWindow" then
		Lua_ProxyManager.getProxy("Lua_YunBiaoProxy"):goYunBiao();
		Lua_WindowUtil.openWin("Lua_GamePlayWindow", WinParam.ACTION_CLOSE);
	elseif tActVo.fun_str == "Lua_CopyWulinWindow" then
		Lua_WindowUtil.openWin(tActVo.fun_str);
	elseif tActVo.fun_str == "Lua_TheSelectionWarWindow" then
		Lua_WindowUtil.openWin(tActVo.fun_str);
	elseif tActVo.fun_str == "Lua_CrystalWarWindow" then
		Lua_WindowUtil.openWin(tActVo.fun_str);
	elseif tActVo.fun_str == "Lua_KuaFuWindow" then
		Lua_WindowUtil.openWin(tActVo.fun_str);
	elseif tActVo.fun_str ~= nil and tActVo.fun_str ~= "" then
		-- 进入场景消息号需要配置“huodong.xml”
		DataCenter.xianshiData:sOnSceneMsg(tActVo.scene_Msg);
	end
	self:hide();
end