-- 水晶之战进度信息面板
Lua_CrystalWarInfoPanel = class("Lua_CrystalWarInfoPanel", Lua_DisplayObject);
function Lua_CrystalWarInfoPanel:ctor(p)
	self:superCall("ctor", p, "CrystalWarFightInfoPanel_skin");
end

function Lua_CrystalWarInfoPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.leftCampName.text = DataCenter.campWarUtil:getCampNameById(Lua_CampWarUtil.CAMPWARID_BLUE);
	self.rightCampName.text = DataCenter.campWarUtil:getCampNameById(Lua_CampWarUtil.CAMPWARID_RED);

	self.winNeedScore = DataCenter.crystalWarData.campWarWinNeedScore;
	self.blueBarIcon.type = UIBasicSprite.Type.Filled;
	self.blueBarIcon.fillDirection = UIBasicSprite.FillDirection.Horizontal;
	self.blueBarIcon.fillAmount = 0;

	self.redBarIcon.type = UIBasicSprite.Type.Filled;
	self.redBarIcon.fillDirection = UIBasicSprite.FillDirection.Horizontal;
	self.redBarIcon.fillAmount = 0;

	-- self.blueBar:setBgSacle(-1, -1);
	-- self.blueBar:setBarSacle(-1, 1);
	-- self.blueBar:setBarPosOffset(133, 0);
	self.blueBar:setEnable(false);

	-- self.redBar:setBgSacle(-1, 1);
	-- self.redBar:setBarSacle(-1, 1);
	-- self.redBar:setBarPosOffset(-133, 0);
	self.redBar:setEnable(false);
end

-- 更新信息
function Lua_CrystalWarInfoPanel:updateCrystalWarFightInfo()
	-- self.blueBar:setMaxValue(self.winNeedScore);
	-- self.blueBar:setValue(DataCenter.crystalWarData.blueCampScore);
	-- self.blueBar:setText(DataCenter.crystalWarData.blueCampScore.."/"..self.winNeedScore);

	-- self.redBar:setMaxValue(self.winNeedScore);
	-- self.redBar:setValue(DataCenter.crystalWarData.redCampScore);
	-- self.redBar:setText(DataCenter.crystalWarData.redCampScore.."/"..self.winNeedScore);

	self.blueBarIcon.fillAmount = DataCenter.crystalWarData.blueCampScore / self.winNeedScore;
	self.blueNumLab.text = DataCenter.crystalWarData.blueCampScore.."/"..self.winNeedScore;
	self.redBarIcon.fillAmount = DataCenter.crystalWarData.redCampScore / self.winNeedScore;
	self.redNumLab.text = DataCenter.crystalWarData.redCampScore.."/"..self.winNeedScore;
end