-- 水晶之战结算界面
checkRequire("Lua_FightingResultBaseWindow");
checkRequire("Lua_FightResultRewardsItem");
Lua_CrystalWarResultWindow = class("Lua_CrystalWarResultWindow", Lua_FightingResultBaseWindow);
function Lua_CrystalWarResultWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_CrystalWarResultWindow";
end

function Lua_CrystalWarResultWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.tipsBg:setLocation(0, 154, 0);

	self.rankTxt = UICreate.createLabel(self.content, "", -230, 171, 300, 30, 30);
	self.rankTxt.pivot = UIWidget.Pivot.Left;
	self.rankTxt.overflowMethod = UILabel.Overflow.ResizeFreely;
	self.rankTxt:setDepth(3);

	self.jifenTxt = UICreate.createLabel(self.content, "", 20.5, 171, 300, 30, 30);
	self.jifenTxt.pivot = UIWidget.Pivot.Left;
	self.jifenTxt.overflowMethod = UILabel.Overflow.ResizeFreely;
	self.jifenTxt:setDepth(3);

	self.campReward = Lua_FightResultRewardsItem.new(self.content, LanUtil.getValue(122707), 4, -56);
	self.campReward:setLocation(0, 101, 0);

	self.rankReward = Lua_FightResultRewardsItem.new(self.content, LanUtil.getValue(122708), 4, -56);
	self.rankReward:setLocation(0, -23, 0);
end

function Lua_CrystalWarResultWindow:showWin(param)
	self:superCall("showWin", param);

	if param ~= nil then
		-- msg.camp_rank;	-- 阵营排名，从1开始，1表示赢，2表示输
		-- msg.self_rank;	-- 个人排名，从1开始
		-- msg.self_score;	-- 积分
		-- msg.self_reward;	-- 个人奖励
		-- msg.camp_reward;	-- 阵营奖励
		if param.camp_rank == 1 then
			self:setShowInfo(1, DataCenter.crystalWarData.close_time);
		elseif param.camp_rank == 2 then
			self:setShowInfo(-1, DataCenter.crystalWarData.close_time);
		else
			self:setShowInfo(0, DataCenter.crystalWarData.close_time);
		end
		self.backBtn:setLocation(0, -160, 0);

		self.rankTxt.text = LanUtil.formateStr(LanUtil.getValue(122705), tostring(param.self_rank));
		self.jifenTxt.text = LanUtil.formateStr(LanUtil.getValue(122706), tostring(param.self_score));
		self.campReward:setShowRewardArr(Lua_RewardsUtil.getRewardList(param.camp_reward).rewardsVoArr);
		self.rankReward:setShowRewardArr(Lua_RewardsUtil.getRewardList(param.self_reward).rewardsVoArr);
	end
end

function Lua_CrystalWarResultWindow:dispose()
	if self.rankTxt ~= nil then
		self.rankTxt:dispose();
		self.rankTxt = nil;
	end
	if self.jifenTxt ~= nil then
		self.jifenTxt:dispose();
		self.jifenTxt = nil;
	end
	if self.campReward ~= nil then
		self.campReward:dispose();
		self.campReward = nil;
	end
	if self.rankReward ~= nil then
		self.rankReward:dispose();
		self.rankReward = nil;
	end
	Lua_ProxyManager.getProxy("Lua_CrystalWarProxy"):sExitScene();

	self:superCall("dispose");
end