-- 水晶之战活动入口
Lua_CrystalWarWindow = class("Lua_CrystalWarWindow", Lua_SecondSizeWindow)
function Lua_CrystalWarWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_CrystalWarWindow";
	self.skinName = "GiftActivity_skin";
	self.titleText = LanUtil.getValue(128100);
end

function Lua_CrystalWarWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.descBg.imgTypeNum = 4;
	self.descBg.widget.border = Vector4(0, 10, 0, 10);

	self.timeLbl.text = LanUtil.getValue(128103);
	self.posLbl.text = LanUtil.getValue(128104);
	self.desLbl.text = ""; -- LanUtil.getValue(128105);

	self.rItem = Lua_RewardItem.new(self.content);
	self.rItem:setLayout(90, 90, 9);
	self.rItem:setMaxShow(9);
	self.rItem:setDepth(10);
	self.rItem:setClickWin(true);
	self.rItem:setMouseEnble(true);
	self.rItem:setItemScale(1, 1);
	self.rItem:setLocation(304, -155, 0);
	self.rItem:setRewardByRewardList(Array(61001)); -- LanUtil.getValue(128107)

	self.gotoBtn.label = LanUtil.getValue(128101);
	self.gotoBtn:addClickFuntion(self, self.onGotoClick);
	self.wenhao:addClickFuntion(self, self.onHelpClick)
end

function Lua_CrystalWarWindow:onGotoClick(go)
    Lua_ProxyManager.getProxy("Lua_CrystalWarProxy"):sEnterScene();
    self:hide();
end

function Lua_CrystalWarWindow:onHelpClick(go)
    Lua_WindowUtil.openWin("Lua_RuleTipWindow", WinParam.ACTION_AUTO, LanUtil.getValue(128106));
end

function Lua_CrystalWarWindow:dispose()
	if self.rItem ~= nil then
		self.rItem:dispose();
		self.rItem = nil;
	end
    self:superCall("dispose");
end