﻿-- 天降豪礼活动入口
Lua_GiftActivitiesWindow = class("Lua_GiftActivitiesWindow", Lua_SecondSizeWindow);
function Lua_GiftActivitiesWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_GiftActivitiesWindow";
	self.skinName = "GiftActivity_skin";
	self.titleText = LanUtil.getValue(122600);
end

function Lua_GiftActivitiesWindow:buildShowItem()

	self:superCall("buildShowItem");
	self.broadBg:setUrl("/images/daily/ui_tjhl_bg.png")

	--self.gotoBtn:setLocation(426,-272);
	self.gotoBtn.label = "前 往"

	self.descBg.imgTypeNum = 4;
	self.descBg.widget.border = Vector4(0, 10, 0, 10);

	local infoTxt = UICreate.createLabel(self.content,"",-499,-252,100,24,24);
	infoTxt.overflowMethod = UILabel.Overflow.ResizeFreely;
	infoTxt.pivot = UIWidget.Pivot.TopLeft;
	infoTxt.text = "[85A8BE]玩法介紹[-]";
	infoTxt:setDepth(2)

	self.timeLbl.text = LanUtil.getValue(122601);
	self.posLbl.text = LanUtil.getValue(122602);
	self.desLbl.text = LanUtil.getValue(122603);

	local activityID = getConfig({"drop_packet", "activity_list"}).arr[1];
	local rewardInfo = DataCenter.xianshiData:getDataById(activityID);
	if rewardInfo ~= nil then
		local rewardId = rewardInfo.display_reward;
		self.rItem = Lua_RewardItem.new(self.content);
		self.rItem:setLayout(90, 90, 9);
		self.rItem:setMaxShow(9);
		self.rItem:setDepth(self.depth + 10);
		self.rItem:setClickWin(true);
		self.rItem:setMouseEnble(true);
		self.rItem:setItemScale(1, 1);
		self.rItem:setLocation(265, -165, 0);
		self.rItem:setRewardByRewardList(Array(rewardId));
	end

	self.gotoBtn:addClickFuntion(self, self.onGotoClick);
	self.wenhao:addClickFuntion(self, self.onHelpClick);
end

function Lua_GiftActivitiesWindow:onGotoClick(go)
	Lua_ProxyManager.getProxy("Lua_GiftActivitiesProxy"):sGotoScenes();
	self:hide();
end

function Lua_GiftActivitiesWindow:onHelpClick(go)
	Lua_WindowUtil.openWin("Lua_RuleTipWindow", WinParam.ACTION_AUTO, LanUtil.getValue(122604));
end

function Lua_GiftActivitiesWindow:dispose()
	if self.rItem ~= nil then
		self.rItem:dispose();
		self.rItem = nil;
	end
	self:superCall("dispose");
end