checkRequire("Lua_XianShiOneItem");
Lua_XianShiPanel = class("Lua_XianShiPanel", Lua_DisplayObject);
function Lua_XianShiPanel:ctor(p)
    self:superCall("ctor", p, "XianShiPanel_skin");
end

function Lua_XianShiPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.weekSp:addClickFuntion(self,self.onOpenWeek);--问号
	self.worldTxt.text = LanUtil.formateStr(LanUtil.getValue(120945), tostring(DataCenter.roleData.worldLevel))

	self.dragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 1130, 516));
    self.dragList:setListCell(Lua_XianShiOneItem, 120, 565, 2);
    self.dragList:setLocation(-61, 19, 0);

    self:addLuaEvent("ACT_STATE_CHANGE", self, self.onActDataUpdate);
	self:addLuaEvent("UPDATE_REDDOT_EVENT", self, self.onActDataUpdate);
	self:addLuaEvent("UPDARE_POOL_RED_EVENT", self, self.onActDataUpdate);
	
    self:onActDataUpdate();
end

function Lua_XianShiPanel:onActDataUpdate(o)
	local arr = DataCenter.xianshiData:getActList(1);
    self.dragList:setLuaArrayData(arr, false);
end

function Lua_XianShiPanel:onOpenWeek()
	Lua_WindowUtil.openWin("Lua_XianShiWeekCalendarWindow", WinParam.ACTION_OPEN);
end

function Lua_XianShiPanel:dispose()
	if self.dragList ~= nil then
		self.dragList:dispose()
		self.dragList = nil;
	end
	self:superCall("dispose");
end