Lua_XianShiWeekCalendarWindow = class("Lua_XianShiWeekCalendarWindow", Lua_Window);
function Lua_XianShiWeekCalendarWindow:ctor(p)
	self:superCall("ctor");

	self.windowName = "Lua_XianShiWeekCalendarWindow";
	self.skinName = "XianShiWeekPanel_skin";
end

function Lua_XianShiWeekCalendarWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.TimeTxt.text = LanUtil.getValue(120946);
	self.TimeTxt1.text = LanUtil.getValue(120947);
	self.TimeTxt2.text = LanUtil.getValue(120948);
	self.TimeTxt3.text = LanUtil.getValue(120949);
	self.TimeTxt4.text = LanUtil.getValue(120950);
	self.TimeTxt5.text = LanUtil.getValue(120951);
	self.TimeTxt6.text = LanUtil.getValue(120952);
	self.TimeTxt7.text = LanUtil.getValue(120953);

	self.dragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 952, 470));
	self.dragList:setListCell(Lua_XianShiWeekCalendarItem, 107, 119, 8);
	self.dragList:setLocation(-3.5, -46, 0);
	self.dragList:setLuaArrayData(DataCenter.xianshiUtil.weekList, false);
end

function Lua_XianShiWeekCalendarWindow:dispose()
	if self.dragList ~= nil then
		self.dragList:dispose()
		self.dragList = nil;
	end
	self:superCall("dispose");
end





--------------------------------------------------





Lua_XianShiWeekCalendarItem = class("Lua_XianShiWeekCalendarItem", Lua_ListCell);
function Lua_XianShiWeekCalendarItem:ctor(p)
	self:superCall("ctor", p, "XianShiWeekItem_skin");
end

function Lua_XianShiWeekCalendarItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	if data.val then
		self.week:setAltas("daily_atlas_1", "ui_daily_bg_26");
		self.Txt.text = "[B9E6FF]"..data.name.."[-]";
	else
		self.week:setAltas("daily_atlas_1", "ui_daily_bg_25");
		self.Txt.text = data.name;
	end
end